#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.3.1.0
visibility:           public
id:                   typst-0.3.1.0-9Ef5s0Mnw3zJYLxwYdtAiz
key:                  typst-0.3.1.0-9Ef5s0Mnw3zJYLxwYdtAiz
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.6
    and currently offers only partial support.

category:             Text
abi:                  766b3bb943203fb5791b6e9f0a031bfd
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc

import-dirs:          /usr/lib/ghc-9.0.2/site-local/typst-0.3.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/typst-0.3.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.3.1.0-9Ef5s0Mnw3zJYLxwYdtAiz
depends:
    aeson-2.1.2.1-A4BCifdqKBRKymWAxMJ7G4 array-0.5.4.0 base-4.15.1.0
    bytestring-0.10.12.1 cassava-0.5.3.0-DaeORGwa1jTJG3fJgGTNJD
    containers-0.6.4.1 digits-0.3.1-2g8M803rywcCVMzZh3SPvH
    directory-1.3.6.2 filepath-1.4.2.1 mtl-2.2.2
    ordered-containers-0.2.3-1tstpx5kksg3nCXqs5HGNP parsec-3.1.14.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-9R5AJXd71FKmHTeEzzCL9
    scientific-0.3.7.0-6CvCEFxXBWR5nYRp7k6pyR text-1.2.5.0 time-1.9.3
    toml-parser-1.3.0.0-JVPVwemg4Q9IMjBz8gOBMU
    typst-symbols-0.1.2-ABpKFSlfFVPEMuyaNAU1ZA
    vector-0.13.0.0-9fyHsAonVFcGYv9jtLmfSh
    xml-conduit-1.9.1.3-A2UPvu5XsU055AUoo7xtK9
    yaml-0.11.11.2-HMJi93sq55j29LTuvNA0C1

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

